package com.bonus.canteen.core.order.android.vo;

import cn.hutool.core.bean.BeanUtil;
import com.bonus.canteen.core.common.utils.SysUtil;
import com.bonus.canteen.core.order.common.model.OrderDetail;
import com.bonus.canteen.core.order.common.vo.OrderDetailWithImage;

import java.math.BigDecimal;

public class OrderDetailAndroidVO implements OrderDetailWithImage {
   private Long detailId;
   private Long orderId;
   private Integer detailType;
   private Long goodsDishesId;
   private String goodsDishesName;
   private String goodsDishesImgUrl;
   private Long menuDetailId;
   private BigDecimal salePrice;
   private BigDecimal prefPrice;
   private BigDecimal price;
   private Integer weightUnit;
   private Integer quantity;
   private String unitName;
   private BigDecimal totalAmount;
   private BigDecimal calcTotalAmount;
   private BigDecimal realAmount;
   private BigDecimal refundAmount;
   private Integer salesMode;
   private String tasteName;
   private Integer detailState;
   private Integer goodsRefundNum;
   private Integer makingComplete;

   public String getGoodsDishesImgUrl() {
      return SysUtil.getCutFileUrl(this.goodsDishesImgUrl);
   }

   public static OrderDetailAndroidVO of(OrderDetail orderDetail) {
      return (OrderDetailAndroidVO)BeanUtil.copyProperties(orderDetail, OrderDetailAndroidVO.class, new String[0]);
   }

   public Long getDetailId() {
      return this.detailId;
   }

   public Long getOrderId() {
      return this.orderId;
   }

   public Integer getDetailType() {
      return this.detailType;
   }

   public Long getGoodsDishesId() {
      return this.goodsDishesId;
   }

   public String getGoodsDishesName() {
      return this.goodsDishesName;
   }

   public Long getMenuDetailId() {
      return this.menuDetailId;
   }

   public BigDecimal getSalePrice() {
      return this.salePrice;
   }

   public BigDecimal getPrefPrice() {
      return this.prefPrice;
   }

   public BigDecimal getPrice() {
      return this.price;
   }

   public Integer getWeightUnit() {
      return this.weightUnit;
   }

   public Integer getQuantity() {
      return this.quantity;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public BigDecimal getTotalAmount() {
      return this.totalAmount;
   }

   public BigDecimal getCalcTotalAmount() {
      return this.calcTotalAmount;
   }

   public BigDecimal getRealAmount() {
      return this.realAmount;
   }

   public BigDecimal getRefundAmount() {
      return this.refundAmount;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public String getTasteName() {
      return this.tasteName;
   }

   public Integer getDetailState() {
      return this.detailState;
   }

   public Integer getGoodsRefundNum() {
      return this.goodsRefundNum;
   }

   public Integer getMakingComplete() {
      return this.makingComplete;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setOrderId(final Long orderId) {
      this.orderId = orderId;
   }

   public void setDetailType(final Integer detailType) {
      this.detailType = detailType;
   }

   public void setGoodsDishesId(final Long goodsDishesId) {
      this.goodsDishesId = goodsDishesId;
   }

   public void setGoodsDishesName(final String goodsDishesName) {
      this.goodsDishesName = goodsDishesName;
   }

   public void setGoodsDishesImgUrl(final String goodsDishesImgUrl) {
      this.goodsDishesImgUrl = goodsDishesImgUrl;
   }

   public void setMenuDetailId(final Long menuDetailId) {
      this.menuDetailId = menuDetailId;
   }

   public void setSalePrice(final BigDecimal salePrice) {
      this.salePrice = salePrice;
   }

   public void setPrefPrice(final BigDecimal prefPrice) {
      this.prefPrice = prefPrice;
   }

   public void setPrice(final BigDecimal price) {
      this.price = price;
   }

   public void setWeightUnit(final Integer weightUnit) {
      this.weightUnit = weightUnit;
   }

   public void setQuantity(final Integer quantity) {
      this.quantity = quantity;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setTotalAmount(final BigDecimal totalAmount) {
      this.totalAmount = totalAmount;
   }

   public void setCalcTotalAmount(final BigDecimal calcTotalAmount) {
      this.calcTotalAmount = calcTotalAmount;
   }

   public void setRealAmount(final BigDecimal realAmount) {
      this.realAmount = realAmount;
   }

   public void setRefundAmount(final BigDecimal refundAmount) {
      this.refundAmount = refundAmount;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setTasteName(final String tasteName) {
      this.tasteName = tasteName;
   }

   public void setDetailState(final Integer detailState) {
      this.detailState = detailState;
   }

   public void setGoodsRefundNum(final Integer goodsRefundNum) {
      this.goodsRefundNum = goodsRefundNum;
   }

   public void setMakingComplete(final Integer makingComplete) {
      this.makingComplete = makingComplete;
   }

}
